Browsable Browsable Docs

Craigslist Post API

Scrape a public Craigslist result detail page from a search result URL or post id.

POST /v1/craigslist/post

Request Parameters

Name In Type Required Description
id body string No Craigslist post id or search result id. URL is preferred when available.
site body string No Craigslist subdomain to use when resolving an id without a URL.
url body string No Craigslist result URL returned by craigslist/search.

Response Structure

Async kickoff response

Polled run result response

Sync response

Declared output schema

Code Examples

Async + polling

RUN=$(curl -s -X POST "https://api.browsable.app/v1/craigslist/post" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":"id-1","site":"sfbay","url":"https://sfbay.craigslist.org/scz/tls/d/santa-cruz-electric-lawnmower/7933608346.html"}')
RUN_ID=$(echo "$RUN" | jq -r '.run_id')
while true; do
RESULT=$(curl -s -H "Authorization: Bearer YOUR_API_KEY" "https://api.browsable.app/v1/runs/$RUN_ID")
STATUS=$(echo "$RESULT" | jq -r '.run_status')
if [ "$STATUS" = "succeeded" ] || [ "$STATUS" = "failed" ]; then
echo "$RESULT"
break
fi
sleep 2
done

Sync

curl -X POST "https://api.browsable.app/v1/craigslist/post" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"id":"id-1","site":"sfbay","url":"https://sfbay.craigslist.org/scz/tls/d/santa-cruz-electric-lawnmower/7933608346.html","_run":{"async":false}}'